Bug 961567 - floating ip association fails when nova-network does not have access to ebtables
floating ip association fails when nova-network does not have access to ebtables
Status: CLOSED CURRENTRELEASE
Product: RDO
Classification: Community
Component: openstack-nova (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pádraig Brady
Ami Jeain
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-09 20:51 EDT by Matthew Farrellee
Modified: 2016-01-04 09:41 EST (History)
5 users (show)

See Also:
Fixed In Version: openstack-nova-2013.1-3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-10 09:27:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1178658 None None None Never

  None (edit)
Description Matthew Farrellee 2013-05-09 20:51:18 EDT
Version-Release number of selected component (if applicable):

openstack-nova-network-2013.1-2.el6.noarch


How reproducible:

100%


Steps to Reproduce:
1. yum install -y http://rdo.fedorapeople.org/openstack/openstack-grizzly/rdo-release-grizzly-3.noarch.rpm
2. yum install -y openstack-packstack
3. packstack --install-hosts=controller,compute
4. launch an instance, try to associate a floating ip


Actual results:

The dashboard flashes success with a public IP. nova-manage floating list reports a public IP taken. nova list and dashboard do not show associated public IP with the instance. The nat iptables shows entries for the public IP routed to the instance's private IP. The public IP is not accessible on the public network. It is accessible on the controller host (running network and not compute).


Expected results:

nova list and dashboard show the associated IP. IP accessible on the public network.


Additional info:

The install-hosts option installs nova-network on the controller and nova-compute on the compute nodes. nova-compute has a dependency on ebtables. nova-network does not. nova-network silently (!!) fails when it cannot access ebtables.

See https://github.com/openstack/nova/blob/stable/grizzly/nova/network/floating_ips.py#L371

Workaround is to manually install ebtables on the controller host.
Comment 1 Pádraig Brady 2013-05-10 08:44:54 EDT
Well found. ebtables is pulled in by libvirt.                                   
So I'll add the dependency on ebtables in the openstack-nova-network            
subpackage in the appropriate places.                                           
Seems this is a new grizzly dependency.
Comment 2 Pádraig Brady 2013-05-10 09:27:42 EDT
Fixed committed at:
http://pkgs.fedoraproject.org/cgit/openstack-nova.git/commit/?h=el6-grizzly&id=9683db5

Package updated in RDO repo

Note You need to log in before you can comment on or make changes to this bug.